ListDetectMitigationActionsExecutions
Note
The AWS IoT Device Defender detect feature will no longer be available to new customers starting August 31, 2026. If you would like to use the detect feature, sign up prior to August 31, 2026. To learn about alternatives to AWS IoT Device Defender detect, see AWS IoT Device Defender detect feature availability change. There is no change to AWS IoT Device Defender audit availability.
Lists mitigation actions executions for a Device Defender ML Detect Security Profile.
Requires permission to access the ListDetectMitigationActionsExecutions action.
Request Syntax
GET /detect/mitigationactions/executions?endTime=endTime&maxResults=maxResults&nextToken=nextToken&startTime=startTime&taskId=taskId&thingName=thingName&violationId=violationId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- endTime
-
The end of the time period for which ML Detect mitigation actions executions are returned.
- maxResults
-
The maximum number of results to return at one time. The default is 25.
Valid Range: Minimum value of 1. Maximum value of 250.
- nextToken
-
The token for the next set of results.
- startTime
-
A filter to limit results to those found after the specified time. You must specify either the startTime and endTime or the taskId, but not both.
- taskId
-
The unique identifier of the task.
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[a-zA-Z0-9_-]+ - thingName
-
The name of the thing whose mitigation actions are listed.
Length Constraints: Minimum length of 1. Maximum length of 128.
- violationId
-
The unique identifier of the violation.
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[a-zA-Z0-9\-]+
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"actionsExecutions": [
{
"actionName": "string",
"errorCode": "string",
"executionEndDate": number,
"executionStartDate": number,
"message": "string",
"status": "string",
"taskId": "string",
"thingName": "string",
"violationId": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- actionsExecutions
-
List of actions executions.
Type: Array of DetectMitigationActionExecution objects
- nextToken
-
A token that can be used to retrieve the next set of results, or
nullif there are no additional results.Type: String
Errors
- InternalFailureException
-
An unexpected error has occurred.
- message
-
The message for the exception.
HTTP Status Code: 500
- InvalidRequestException
-
The request is not valid.
- message
-
The message for the exception.
HTTP Status Code: 400
- ThrottlingException
-
The rate exceeds the limit.
- message
-
The message for the exception.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: